org.apache.jasper.compiler

## Class SmapInput

- java.lang.Object
- - org.apache.jasper.compiler.SmapInput

-     public class SmapInput
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SmapInput(String fileName, int lineNumber)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getFileName()`
    `int` | `getLineNumber()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SmapInput

          public SmapInput(String fileName,
                           int lineNumber)

  - ### Method Detail

    - #### getFileName

          public String getFileName()

    - #### getLineNumber

          public int getLineNumber()

Copyright © 2000-2022 Apache Software Foundation. All Rights Reserved.